Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
rdm::Rdm Interface Reference

## Classes
struct | ManagementStoppedEvent
| Event: CC-SG management was stopped. More...
struct | Settings
| CC-SG management settings. More...
struct | SettingsChangedEvent
| Event: CC-SG management settings have changed. More...
struct | State
| CC-SG management state. More...
struct | StateChangedEvent
| Event: CC-SG management state has changed. More...

## Public Types
enum | ManagementState { UNMANAGED , MANAGED , MANAGED_CC_UNREACHABLE }

## Public Member Functions
State | getState ()
| Get CC-SG management state.
Settings | getSettings ()
| Get CC-SG management settings.
int | setSettings (in Settings settings)
| Set CC-SG management settings.
int | stopManagement ()
| Stop CC-SG management for this device.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Definition at line 10 of file Rdm.idl.

## Member Enumeration Documentation

## ◆ ManagementState

enum rdm::Rdm::ManagementState

Enumerator
UNMANAGED | Device is not under CC-SG management.
MANAGED | Device is under active CC-SG management.
MANAGED_CC_UNREACHABLE | CC-SG management was configured for the device, but the server is not reachable.

Definition at line 13 of file Rdm.idl.

## Member Function Documentation

## ◆ getSettings()

Settings rdm::Rdm::getSettings | ( |  | ) |

Get CC-SG management settings.

Returns
  Management settings

## ◆ getState()

State rdm::Rdm::getState | ( |  | ) |

Get CC-SG management state.

Returns
  Management state

## ◆ setSettings()

int rdm::Rdm::setSettings | ( | in Settings | settings | ) |

Set CC-SG management settings.

Parameters

  settings | New settings

Returns
  0 on success
  1 if any setting value was invalid

## ◆ stopManagement()

int rdm::Rdm::stopManagement | ( |  | ) |

Stop CC-SG management for this device.

This operation is valid only if the device is under CC-SG management, but the CC server is unreachable.

Returns
  0 on success
  1 if the device is not in MANAGED_CC_UNREACHABLE state

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int rdm::Rdm::ERR_INVALID_ARGUMENT = 1

Definition at line 11 of file Rdm.idl.

The documentation for this interface was generated from the following file:

- Rdm.idl